Table of Contents

Module: PyCoverage | eric3/Debugger/PyCoverage.py
--- | ---

Module for the collection and analysis of code coverage data.

Usage:

coverage.py -x MODULE.py [ARG1 ARG2 ...] Execute module, passing the given command-line arguments, collecting coverage data.

coverage.py -e Erase collected coverage data.

coverage.py -r [-m] FILE1 FILE2 ... Report on the statement coverage for the given files. With the -m option, show line numbers of the statements that weren't executed.

coverage.py -a [-d dir] FILE1 FILE2 ... Make annotated copies of the given files, marking statements that are executed with > and statements that are missed with !. With the -d option, make the copies in that directory. Without the -d option, make each copy in the same directory as the original.

Coverage data is saved in the file .coverage by default. Set the COVERAGE_FILE environment variable to save it somewhere else.

Imported modules |
--- | ---
import atexit import os import re import string import sys import types
Functions |
analysis annotate erase report save start stop t
| analysis

    analysis ( *args )

| annotate

    annotate ( *args )

| erase

    erase ( *args )

| report

    report ( *args )

| save

    save ( *args )

| start

    start ( *args )

Module functions call methods in the singleton object.

| stop

    stop ( *args )

| t

    t (
            f,
            x,
            y,
            )

Classes |

coverage |

Table of Contents

This document was automatically generated by HappyDoc version 2.1